Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.builder.dialect.mvel
Class MVELProcessDialect

    java.lang.Object
      org.jbpm.process.builder.dialect.mvel.MVELProcessDialect

All Implemented Interfaces:
  ProcessDialect

    public class MVELProcessDialect

extends Object
implements ProcessDialect

Constructor Summary
`MVELProcessDialect()`

Method Summary
`void` | `addProcess(ProcessBuildContext context)`
`ActionBuilder` | `getActionBuilder()`
`AssignmentBuilder` | `getAssignmentBuilder()`
`ProcessClassBuilder` | `getProcessClassBuilder()`
`ReturnValueEvaluatorBuilder` | `getReturnValueEvaluatorBuilder()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MVELProcessDialect

    public MVELProcessDialect()

Method Detail

### addProcess

    public void addProcess(ProcessBuildContext context)

  Specified by:
    `addProcess` in interface `ProcessDialect`

### getActionBuilder

    public ActionBuilder getActionBuilder()

  Specified by:
    `getActionBuilder` in interface `ProcessDialect`

### getProcessClassBuilder

    public ProcessClassBuilder getProcessClassBuilder()

  Specified by:
    `getProcessClassBuilder` in interface `ProcessDialect`

### getReturnValueEvaluatorBuilder

    public ReturnValueEvaluatorBuilder getReturnValueEvaluatorBuilder()

  Specified by:
    `getReturnValueEvaluatorBuilder` in interface `ProcessDialect`

### getAssignmentBuilder

    public AssignmentBuilder getAssignmentBuilder()

  Specified by:
    `getAssignmentBuilder` in interface `ProcessDialect`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.